Index: trunk/doc/Flair/search/functions_2.js
===================================================================
--- trunk/doc/Flair/search/functions_2.js	(revision 47)
+++ trunk/doc/Flair/search/functions_2.js	(revision 50)
@@ -22,5 +22,5 @@
   ['callwithcallback',['callWithCallback',['http://qt-project.org/doc/qt-4.8/qdbusconnection.html#callWithCallback',0,'QDBusConnection::callWithCallback(const QDBusMessage &amp;message, QObject *receiver, const char *returnMethod, const char *errorMethod, int timeout) const'],['http://qt-project.org/doc/qt-4.8/qdbusconnection.html#callWithCallback-2',0,'QDBusConnection::callWithCallback(const QDBusMessage &amp;message, QObject *receiver, const char *returnMethod, int timeout) const'],['http://qt-project.org/doc/qt-4.8/qdbusabstractinterface.html#callWithCallback',0,'QDBusAbstractInterface::callWithCallback(const QString &amp;method, const QList&lt; QVariant &gt; &amp;args, QObject *receiver, const char *returnMethod, const char *errorMethod)'],['http://qt-project.org/doc/qt-4.8/qdbusabstractinterface.html#callWithCallback-2',0,'QDBusAbstractInterface::callWithCallback(const QString &amp;method, const QList&lt; QVariant &gt; &amp;args, QObject *receiver, const char *slot)']]],
   ['callwithcallbackfailed',['callWithCallbackFailed',['http://qt-project.org/doc/qt-4.8/qdbusconnectioninterface.html#callWithCallbackFailed',0,'QDBusConnectionInterface']]],
-  ['camera',['Camera',['../classflair_1_1sensor_1_1_camera.html#a0367c89fe729864229dcafe2ff10fb8a',1,'flair::sensor::Camera::Camera(const core::FrameworkManager *parent, std::string name, uint16_t width, uint16_t height, core::cvimage::Type::Format format)'],['../classflair_1_1sensor_1_1_camera.html#a2dbddbcfb399c7dae0de7b455a3b9d90',1,'flair::sensor::Camera::Camera(const core::IODevice *parent, std::string name)']]],
+  ['camera',['Camera',['../classflair_1_1sensor_1_1_camera.html#ab457977303cb9158d67d65da014aaab4',1,'flair::sensor::Camera::Camera(std::string name, uint16_t width, uint16_t height, core::cvimage::Type::Format format)'],['../classflair_1_1sensor_1_1_camera.html#a2dbddbcfb399c7dae0de7b455a3b9d90',1,'flair::sensor::Camera::Camera(const core::IODevice *parent, std::string name)']]],
   ['canadddynamicproperty',['canAddDynamicProperty',['http://qt-project.org/doc/qt-4.8/qdesignerdynamicpropertysheetextension.html#canAddDynamicProperty',0,'QDesignerDynamicPropertySheetExtension']]],
   ['canappend',['canAppend',['http://qt-project.org/doc/qt-4.8/qdeclarativelistreference.html#canAppend',0,'QDeclarativeListReference']]],
@@ -403,5 +403,5 @@
   ['computedefaultthrust',['ComputeDefaultThrust',['../classflair_1_1meta_1_1_uav_state_machine.html#ab25472bbf51a7baf97ec5e9cfc148f8b',1,'flair::meta::UavStateMachine']]],
   ['computedefaulttorques',['ComputeDefaultTorques',['../classflair_1_1meta_1_1_uav_state_machine.html#ac93d0d595a86a014c27375c973f693a8',1,'flair::meta::UavStateMachine']]],
-  ['computerotation',['ComputeRotation',['../classflair_1_1core_1_1_one_axis_rotation.html#aa9f1c9ccb88c221e4ec62521536e8130',1,'flair::core::OneAxisRotation::ComputeRotation(core::Vector3D &amp;vector) const '],['../classflair_1_1core_1_1_one_axis_rotation.html#a9326b1fdeae7a485235c8bec5191fcde',1,'flair::core::OneAxisRotation::ComputeRotation(core::Euler &amp;euler) const '],['../classflair_1_1core_1_1_one_axis_rotation.html#a95eafcd87e97beacc6e11370a8dde4ff',1,'flair::core::OneAxisRotation::ComputeRotation(core::Quaternion &amp;quaternion) const '],['../classflair_1_1core_1_1_one_axis_rotation.html#a3aeb426d4ddd9d33447b86887539eeb5',1,'flair::core::OneAxisRotation::ComputeRotation(core::RotationMatrix &amp;matrix) const ']]],
+  ['computerotation',['ComputeRotation',['../classflair_1_1core_1_1_one_axis_rotation.html#a59b74b5059d847710803259bd1b8f1c1',1,'flair::core::OneAxisRotation::ComputeRotation(core::Vector3D&lt; T &gt; &amp;vector) const '],['../classflair_1_1core_1_1_one_axis_rotation.html#a9326b1fdeae7a485235c8bec5191fcde',1,'flair::core::OneAxisRotation::ComputeRotation(core::Euler &amp;euler) const '],['../classflair_1_1core_1_1_one_axis_rotation.html#a95eafcd87e97beacc6e11370a8dde4ff',1,'flair::core::OneAxisRotation::ComputeRotation(core::Quaternion &amp;quaternion) const '],['../classflair_1_1core_1_1_one_axis_rotation.html#a3aeb426d4ddd9d33447b86887539eeb5',1,'flair::core::OneAxisRotation::ComputeRotation(core::RotationMatrix &amp;matrix) const ']]],
   ['conditionvariable',['ConditionVariable',['../classflair_1_1core_1_1_condition_variable.html#a39d2c7445e468a1fa8efb62d39f7d082',1,'flair::core::ConditionVariable']]],
   ['condsignal',['CondSignal',['../classflair_1_1core_1_1_condition_variable.html#abaec3da1498ecab5c9e53472eda70105',1,'flair::core::ConditionVariable']]],
@@ -622,5 +622,5 @@
   ['creator',['creator',['http://qt-project.org/doc/qt-4.8/qprinter.html#creator',0,'QPrinter']]],
   ['critical',['critical',['http://qt-project.org/doc/qt-4.8/qmessagebox.html#critical',0,'QMessageBox::critical(QWidget *parent, const QString &amp;title, const QString &amp;text, QFlags&lt; QMessageBox::StandardButton &gt; buttons, StandardButton defaultButton)'],['http://qt-project.org/doc/qt-4.8/qmessagebox-obsolete.html#critical-2',0,'QMessageBox::critical(QWidget *parent, const QString &amp;title, const QString &amp;text, int button0, int button1, int button2)'],['http://qt-project.org/doc/qt-4.8/qmessagebox-obsolete.html#critical-4',0,'QMessageBox::critical(QWidget *parent, const QString &amp;title, const QString &amp;text, const QString &amp;button0Text, const QString &amp;button1Text, const QString &amp;button2Text, int defaultButtonNumber, int escapeButtonNumber)']]],
-  ['crossproduct',['crossProduct',['http://qt-project.org/doc/qt-4.8/qvector3d.html#crossProduct',0,'QVector3D::crossProduct()'],['../namespaceflair_1_1core.html#a4e3e0c05a548ad880197a0f90cb68305',1,'flair::core::CrossProduct()']]],
+  ['crossproduct',['crossProduct',['http://qt-project.org/doc/qt-4.8/qvector3d.html#crossProduct',0,'QVector3D::crossProduct()'],['../namespaceflair_1_1core.html#a619733e606845eb59f7e779f2f119019',1,'flair::core::CrossProduct()']]],
   ['cubicbezier',['cubicBezier',['http://qt-project.org/doc/qt-4.8/q3pointarray.html#cubicBezier',0,'Q3PointArray']]],
   ['cubicto',['cubicTo',['http://qt-project.org/doc/qt-4.8/qpainterpath.html#cubicTo',0,'QPainterPath::cubicTo(const QPointF &amp;c1, const QPointF &amp;c2, const QPointF &amp;endPoint)'],['http://qt-project.org/doc/qt-4.8/qpainterpath.html#cubicTo-2',0,'QPainterPath::cubicTo(qreal c1X, qreal c1Y, qreal c2X, qreal c2Y, qreal endPointX, qreal endPointY)']]],
Index: trunk/doc/Flair/search/functions_6.js
===================================================================
--- trunk/doc/Flair/search/functions_6.js	(revision 47)
+++ trunk/doc/Flair/search/functions_6.js	(revision 50)
@@ -20,5 +20,6 @@
   ['gesturetype',['gestureType',['http://qt-project.org/doc/qt-4.8/qgesture.html#gestureType-prop',0,'QGesture']]],
   ['get',['get',['http://qt-project.org/doc/qt-4.8/q3http.html#get',0,'Q3Http::get()'],['http://qt-project.org/doc/qt-4.8/qhttp.html#get',0,'QHttp::get()'],['http://qt-project.org/doc/qt-4.8/q3urloperator.html#get',0,'Q3UrlOperator::get()'],['http://qt-project.org/doc/qt-4.8/qnetworkaccessmanager.html#get',0,'QNetworkAccessManager::get()'],['http://qt-project.org/doc/qt-4.8/q3ftp.html#get',0,'Q3Ftp::get()'],['http://qt-project.org/doc/qt-4.8/qftp.html#get',0,'QFtp::get()']]],
-  ['getangularrates',['GetAngularRates',['../classflair_1_1core_1_1_ahrs_data.html#ac38add9509e454eccf12e151d3b893b8',1,'flair::core::AhrsData']]],
+  ['getangle',['GetAngle',['../classflair_1_1core_1_1_one_axis_rotation.html#a311d0fbae6722ce463f8f20a1c17545b',1,'flair::core::OneAxisRotation']]],
+  ['getangularrates',['GetAngularRates',['../classflair_1_1core_1_1_ahrs_data.html#a32909780fe8fa7e39932443007ef4389',1,'flair::core::AhrsData']]],
   ['getbatterymonitor',['GetBatteryMonitor',['../classflair_1_1actuator_1_1_bl_ctrl_v2.html#ac0116eb8f64bbdf368fbb63f99e0e827',1,'flair::actuator::BlCtrlV2']]],
   ['getcalibration',['getCalibration',['http://qt-project.org/doc/qt-4.8/qwsmousehandler.html#getCalibration',0,'QWSMouseHandler']]],
@@ -34,12 +35,12 @@
   ['getcursorposition',['getCursorPosition',['http://qt-project.org/doc/qt-4.8/q3textedit.html#getCursorPosition',0,'Q3TextEdit']]],
   ['getcvmat',['getCvMat',['../classflair_1_1core_1_1cvmatrix.html#aa08e4d9c913df9c4be093b8b83705e2a',1,'flair::core::cvmatrix']]],
-  ['getdatas',['GetDatas',['../classflair_1_1filter_1_1_ahrs.html#a280ca3f44b2efdb42d6aab1b0333cda0',1,'flair::filter::Ahrs::GetDatas(void) const '],['../classflair_1_1filter_1_1_ahrs.html#adb401534c91830c4985169bed9a7a164',1,'flair::filter::Ahrs::GetDatas(core::AhrsData **ahrsData) const '],['../classflair_1_1sensor_1_1_imu.html#aa020369da0c3f8c80eef6abf9cad0cd9',1,'flair::sensor::Imu::GetDatas()'],['../classflair_1_1sensor_1_1_nmea_gps.html#add3819e87a4f7c824c0f0c2aa6e5f8e0',1,'flair::sensor::NmeaGps::GetDatas(void) const '],['../classflair_1_1sensor_1_1_nmea_gps.html#a8f56a1f0f0d397e9f0cab93767cc8676',1,'flair::sensor::NmeaGps::GetDatas(core::GpsData **gpsData) const ']]],
+  ['getdatas',['GetDatas',['../classflair_1_1filter_1_1_ahrs.html#a280ca3f44b2efdb42d6aab1b0333cda0',1,'flair::filter::Ahrs::GetDatas(void) const '],['../classflair_1_1filter_1_1_ahrs.html#adb401534c91830c4985169bed9a7a164',1,'flair::filter::Ahrs::GetDatas(core::AhrsData **ahrsData) const '],['../classflair_1_1sensor_1_1_imu.html#adb1105fe7b1c21234b6edde4d64da428',1,'flair::sensor::Imu::GetDatas(void) const '],['../classflair_1_1sensor_1_1_imu.html#aa020369da0c3f8c80eef6abf9cad0cd9',1,'flair::sensor::Imu::GetDatas(core::ImuData **imuData) const '],['../classflair_1_1sensor_1_1_nmea_gps.html#add3819e87a4f7c824c0f0c2aa6e5f8e0',1,'flair::sensor::NmeaGps::GetDatas(void) const '],['../classflair_1_1sensor_1_1_nmea_gps.html#a8f56a1f0f0d397e9f0cab93767cc8676',1,'flair::sensor::NmeaGps::GetDatas(core::GpsData **gpsData) const ']]],
   ['getdatatype',['GetDataType',['../classflair_1_1core_1_1_i_o_data_element.html#a99829fa11fbd9d8fed13a6c27dabbf38',1,'flair::core::IODataElement']]],
   ['getdate',['getDate',['http://qt-project.org/doc/qt-4.8/qdate.html#getDate',0,'QDate']]],
   ['getdc',['getDC',['http://qt-project.org/doc/qt-4.8/qwidget.html#getDC',0,'QWidget']]],
-  ['getderivative',['GetDerivative',['../classflair_1_1core_1_1_quaternion.html#ac13bf2f238a45ec6d20f1c1d137f1d39',1,'flair::core::Quaternion']]],
+  ['getderivative',['GetDerivative',['../classflair_1_1core_1_1_quaternion.html#a08b196fb32f87dd62e6a3906e5ecaf2c',1,'flair::core::Quaternion']]],
+  ['getdop',['GetDop',['../classflair_1_1core_1_1_gps_data.html#ad0442d89cc3b54d8f216e6539db051b6',1,'flair::core::GpsData']]],
   ['getdouble',['getDouble',['http://qt-project.org/doc/qt-4.8/qinputdialog.html#getDouble',0,'QInputDialog::getDouble(QWidget *parent, const QString &amp;title, const QString &amp;label, double value, double min, double max, int decimals, bool *ok, QFlags&lt; Qt::WindowType &gt; flags)'],['http://qt-project.org/doc/qt-4.8/qinputdialog-qt3.html#getDouble-2',0,'QInputDialog::getDouble(const QString &amp;title, const QString &amp;label, double value, double min, double max, int decimals, bool *ok, QWidget *parent, const char *name, QFlags&lt; Qt::WindowType &gt; flags)']]],
-  ['getenu',['GetEnu',['../classflair_1_1sensor_1_1_nmea_gps.html#a79938d8f65af8727dec1f0a639054816',1,'flair::sensor::NmeaGps::GetEnu()'],['../classflair_1_1core_1_1_gps_data.html#a887c61012e25fe3024802c1eb4329d2d',1,'flair::core::GpsData::GetEnu()']]],
-  ['geteuler',['GetEuler',['../classflair_1_1sensor_1_1_vrpn_object.html#a32e2c982fb63444678b672fce4762738',1,'flair::sensor::VrpnObject']]],
+  ['getenu',['GetEnu',['../classflair_1_1sensor_1_1_nmea_gps.html#af3b2504dd9cdb94ee02c49f21dc0c1d8',1,'flair::sensor::NmeaGps::GetEnu()'],['../classflair_1_1core_1_1_gps_data.html#a887c61012e25fe3024802c1eb4329d2d',1,'flair::core::GpsData::GetEnu()']]],
   ['getexistingdirectory',['getExistingDirectory',['http://qt-project.org/doc/qt-4.8/qfiledialog.html#getExistingDirectory',0,'QFileDialog::getExistingDirectory(QWidget *parent, const QString &amp;caption, const QString &amp;dir, QFlags&lt; QFileDialog::Option &gt; options)'],['http://qt-project.org/doc/qt-4.8/qfiledialog-qt3.html#getExistingDirectory-2',0,'QFileDialog::getExistingDirectory(const QString &amp;dir, QWidget *parent, const char *name, const QString &amp;caption, bool dirOnly, bool resolveSymlinks)'],['http://qt-project.org/doc/qt-4.8/q3filedialog.html#getExistingDirectory',0,'Q3FileDialog::getExistingDirectory()']]],
   ['getfirst',['getFirst',['http://qt-project.org/doc/qt-4.8/q3ptrlist.html#getFirst',0,'Q3PtrList']]],
@@ -67,10 +68,10 @@
   ['getlla',['GetLla',['../classflair_1_1core_1_1_gps_data.html#ad6f06899b7281ad2680e47d37671845b',1,'flair::core::GpsData']]],
   ['getlocation',['getLocation',['http://qt-project.org/doc/qt-4.8/q3mainwindow.html#getLocation',0,'Q3MainWindow']]],
-  ['getlogarithm',['GetLogarithm',['../classflair_1_1core_1_1_quaternion.html#a8ddb69a52a35d36146fee38efb6336d2',1,'flair::core::Quaternion::GetLogarithm(Vector3D &amp;logarithm)'],['../classflair_1_1core_1_1_quaternion.html#a6a9b3279a79620aea9a3f9ab67eec245',1,'flair::core::Quaternion::GetLogarithm(void)']]],
+  ['getlogarithm',['GetLogarithm',['../classflair_1_1core_1_1_quaternion.html#a4753cafd0c78d78a6e6d0200a4cc596f',1,'flair::core::Quaternion::GetLogarithm(Vector3Df &amp;logarithm)'],['../classflair_1_1core_1_1_quaternion.html#abbda897244c722294de3812bfe7a595b',1,'flair::core::Quaternion::GetLogarithm(void)']]],
   ['getlogpath',['GetLogPath',['../classflair_1_1core_1_1_framework_manager.html#a4e7363801f1df89e51fd9c173e196673',1,'flair::core::FrameworkManager']]],
   ['getmarkedregion',['getMarkedRegion',['http://qt-project.org/doc/qt-4.8/q3multilineedit.html#getMarkedRegion',0,'Q3MultiLineEdit']]],
   ['getmutex',['GetMutex',['../classflair_1_1gui_1_1_box.html#a72d33c20718419d566e198840318e22f',1,'flair::gui::Box::GetMutex()'],['../classflair_1_1core_1_1_mutex.html#a225fbd364b794d698b1c7d8c6962492b',1,'flair::core::Mutex::GetMutex()']]],
   ['getnetworkprotocol',['getNetworkProtocol',['http://qt-project.org/doc/qt-4.8/q3urloperator.html#getNetworkProtocol',0,'Q3UrlOperator::getNetworkProtocol()'],['http://qt-project.org/doc/qt-4.8/q3networkprotocol.html#getNetworkProtocol',0,'Q3NetworkProtocol::getNetworkProtocol()']]],
-  ['getnorm',['GetNorm',['../classflair_1_1core_1_1_quaternion.html#a6931ec913f61c9708ef5970e63f8b0b5',1,'flair::core::Quaternion::GetNorm()'],['../classflair_1_1core_1_1_vector2_d.html#a889d84730619570fe59de98ffe589722',1,'flair::core::Vector2D::GetNorm()'],['../classflair_1_1core_1_1_vector3_d.html#a6787f33bc83a7e98f906a65f6add13ab',1,'flair::core::Vector3D::GetNorm()']]],
+  ['getnorm',['GetNorm',['../classflair_1_1core_1_1_quaternion.html#a6931ec913f61c9708ef5970e63f8b0b5',1,'flair::core::Quaternion::GetNorm()'],['../classflair_1_1core_1_1_vector2_d.html#a81926d1dc61bb56706b99f5bfb4d1ca3',1,'flair::core::Vector2D::GetNorm()'],['../classflair_1_1core_1_1_vector3_d.html#a4249aef85a1848a2952dfafbe6caad12',1,'flair::core::Vector3D::GetNorm()']]],
   ['getnumberofsatellites',['GetNumberOfSatellites',['../classflair_1_1core_1_1_gps_data.html#a22707e45c31501d36ddef69f6b9cee2f',1,'flair::core::GpsData']]],
   ['getoffset',['GetOffset',['../classflair_1_1filter_1_1_pid_thrust.html#a3658197f9d580bc810fc65451399f307',1,'flair::filter::PidThrust']]],
@@ -83,13 +84,13 @@
   ['getplot',['GetPlot',['../classflair_1_1sensor_1_1_laser_range_finder.html#a0195de6681d96bfdc0de0abb0f735fc2',1,'flair::sensor::LaserRangeFinder::GetPlot()'],['../classflair_1_1sensor_1_1_us_range_finder.html#a65e936eaa6a41a2ca1b39bfe07830fda',1,'flair::sensor::UsRangeFinder::GetPlot()']]],
   ['getplottab',['GetPlotTab',['../classflair_1_1sensor_1_1_camera.html#a78b1839d9367d8df8e87a70460c1f228',1,'flair::sensor::Camera::GetPlotTab()'],['../classflair_1_1sensor_1_1_imu.html#a0bfa24fb3b089499b33a60ae0162e4ee',1,'flair::sensor::Imu::GetPlotTab()'],['../classflair_1_1sensor_1_1_laser_range_finder.html#a00cc6a10c9f6bc146dd269acd347b72f',1,'flair::sensor::LaserRangeFinder::GetPlotTab()'],['../classflair_1_1sensor_1_1_nmea_gps.html#aa3121a4fe4c47fdc2fb1115c263801d6',1,'flair::sensor::NmeaGps::GetPlotTab()'],['../classflair_1_1sensor_1_1_us_range_finder.html#a830522cffd7367b3c095f1a381bb248a',1,'flair::sensor::UsRangeFinder::GetPlotTab()'],['../classflair_1_1sensor_1_1_vrpn_object.html#a3ab137dde2f6c3d1d8086dd886e1c539',1,'flair::sensor::VrpnObject::GetPlotTab()']]],
-  ['getposition',['GetPosition',['../classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#aea95d0146447117762229550a11ad415',1,'flair::filter::TrajectoryGenerator2DCircle::GetPosition()'],['../classflair_1_1sensor_1_1_vrpn_object.html#a2c4b259c51b98fa92f8f39141ac9f8b2',1,'flair::sensor::VrpnObject::GetPosition()']]],
+  ['getposition',['GetPosition',['../classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#ae39218d67b655176c2d9b6679702c9c7',1,'flair::filter::TrajectoryGenerator2DCircle::GetPosition()'],['../classflair_1_1sensor_1_1_vrpn_object.html#a64be708bbe70e22db77a465488e23c7c',1,'flair::sensor::VrpnObject::GetPosition()']]],
   ['getprocaddress',['getProcAddress',['http://qt-project.org/doc/qt-4.8/qglcontext.html#getProcAddress',0,'QGLContext']]],
   ['getquaternion',['GetQuaternion',['../classflair_1_1sensor_1_1_vrpn_object.html#a2942cbbb898ba9d0d795b97ad3b9825f',1,'flair::sensor::VrpnObject::GetQuaternion()'],['../classflair_1_1core_1_1_ahrs_data.html#a7dae31f1c0d942ee2090f00d1126df6c',1,'flair::core::AhrsData::GetQuaternion()']]],
-  ['getquaternionandangularrates',['GetQuaternionAndAngularRates',['../classflair_1_1core_1_1_ahrs_data.html#a7ff2e8d3918e3bb11938751b86615dad',1,'flair::core::AhrsData']]],
+  ['getquaternionandangularrates',['GetQuaternionAndAngularRates',['../classflair_1_1core_1_1_ahrs_data.html#ab8eee838e9a7f8f503638cf183af55dd',1,'flair::core::AhrsData']]],
   ['getrange',['getRange',['http://qt-project.org/doc/qt-4.8/qsplitter.html#getRange',0,'QSplitter']]],
-  ['getrawacc',['GetRawAcc',['../classflair_1_1core_1_1_imu_data.html#a567a19f52b656e65e3dd8ac621ce5303',1,'flair::core::ImuData']]],
-  ['getrawaccmagandgyr',['GetRawAccMagAndGyr',['../classflair_1_1core_1_1_imu_data.html#a2556b72388064e419d391b2103892aff',1,'flair::core::ImuData']]],
-  ['getrawgyr',['GetRawGyr',['../classflair_1_1core_1_1_imu_data.html#a5c08078b45632590360cdc378b03b6dd',1,'flair::core::ImuData']]],
-  ['getrawmag',['GetRawMag',['../classflair_1_1core_1_1_imu_data.html#ad464c82cc049713922ed69569a25b5c5',1,'flair::core::ImuData']]],
+  ['getrawacc',['GetRawAcc',['../classflair_1_1core_1_1_imu_data.html#aff48e7fc5d9e5fd5f543080c927b88b5',1,'flair::core::ImuData']]],
+  ['getrawaccmagandgyr',['GetRawAccMagAndGyr',['../classflair_1_1core_1_1_imu_data.html#a5893ae29ee62fea62fee049924fad2bf',1,'flair::core::ImuData']]],
+  ['getrawgyr',['GetRawGyr',['../classflair_1_1core_1_1_imu_data.html#a942ccd18b00ffceee25e307fa54a6ea0',1,'flair::core::ImuData']]],
+  ['getrawmag',['GetRawMag',['../classflair_1_1core_1_1_imu_data.html#adc5d9ec8a2c7ae337ba627dcf2181307',1,'flair::core::ImuData']]],
   ['getrect',['getRect',['http://qt-project.org/doc/qt-4.8/qrect.html#getRect',0,'QRect::getRect()'],['http://qt-project.org/doc/qt-4.8/qrectf.html#getRect',0,'QRectF::getRect()']]],
   ['getreferenceorientation',['GetReferenceOrientation',['../classflair_1_1filter_1_1_joy_reference.html#ab840a472193ea2f5781805151c07fc44',1,'flair::filter::JoyReference']]],
@@ -99,7 +100,7 @@
   ['getsavefilename',['getSaveFileName',['http://qt-project.org/doc/qt-4.8/qfiledialog.html#getSaveFileName',0,'QFileDialog::getSaveFileName(QWidget *parent, const QString &amp;caption, const QString &amp;dir, const QString &amp;filter, QString *selectedFilter, QFlags&lt; QFileDialog::Option &gt; options)'],['http://qt-project.org/doc/qt-4.8/qfiledialog-qt3.html#getSaveFileName-2',0,'QFileDialog::getSaveFileName(const QString &amp;dir, const QString &amp;filter, QWidget *parent, const char *name, const QString &amp;caption, QString *selectedFilter, bool resolveSymlinks)'],['http://qt-project.org/doc/qt-4.8/q3filedialog.html#getSaveFileName',0,'Q3FileDialog::getSaveFileName()']]],
   ['getselection',['getSelection',['http://qt-project.org/doc/qt-4.8/q3textedit.html#getSelection',0,'Q3TextEdit::getSelection()'],['http://qt-project.org/doc/qt-4.8/qlineedit-qt3.html#getSelection',0,'QLineEdit::getSelection()']]],
-  ['getsemaphore',['GetSemaphore',['../classflair_1_1core_1_1_semaphore.html#a197221f875628bec292dd6fbe6f04142',1,'flair::core::Semaphore']]],
+  ['getsemaphore',['GetSemaphore',['../classflair_1_1core_1_1_semaphore.html#a640b354e4a388130befe88ea2b6a2c09',1,'flair::core::Semaphore']]],
   ['getsimulator',['getSimulator',['../namespaceflair_1_1simulator.html#a9739213d82cf7ff924a6ef218490c564',1,'flair::simulator']]],
-  ['getspeed',['GetSpeed',['../classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#ac95915bd0d1e21f744195d9e0543896e',1,'flair::filter::TrajectoryGenerator2DCircle']]],
+  ['getspeed',['GetSpeed',['../classflair_1_1filter_1_1_trajectory_generator2_d_circle.html#a928d70f190300eb5a545940d2f5417be',1,'flair::filter::TrajectoryGenerator2DCircle']]],
   ['getspeeds',['GetSpeeds',['../classflair_1_1actuator_1_1_simu_bldc.html#a94b7583f7bd4fd72706cfb8363316438',1,'flair::actuator::SimuBldc']]],
   ['gettab',['GetTab',['../classflair_1_1sensor_1_1_nmea_gps.html#ad25ede505f9bed9afaf06fa39d9871f9',1,'flair::sensor::NmeaGps']]],
@@ -258,5 +259,5 @@
   ['groupid',['groupId',['http://qt-project.org/doc/qt-4.8/qfileinfo.html#groupId',0,'QFileInfo']]],
   ['groupseparator',['groupSeparator',['http://qt-project.org/doc/qt-4.8/qlocale.html#groupSeparator',0,'QLocale']]],
-  ['gx3_5f25_5fahrs',['Gx3_25_ahrs',['../classflair_1_1filter_1_1_gx3__25__ahrs.html#a81454973b37dea1c53e4da99635be4d5',1,'flair::filter::Gx3_25_ahrs']]],
-  ['gx3_5f25_5fimu',['Gx3_25_imu',['../classflair_1_1sensor_1_1_gx3__25__imu.html#aec8d507d7e0042553df667e6179c7558',1,'flair::sensor::Gx3_25_imu']]]
+  ['gx3_5f25_5fahrs',['Gx3_25_ahrs',['../classflair_1_1filter_1_1_gx3__25__ahrs.html#a7dc4516843513ef1eeb82575ce982a72',1,'flair::filter::Gx3_25_ahrs']]],
+  ['gx3_5f25_5fimu',['Gx3_25_imu',['../classflair_1_1sensor_1_1_gx3__25__imu.html#adcc852b346d46e2f1b73232015e930d0',1,'flair::sensor::Gx3_25_imu']]]
 ];
Index: trunk/doc/Flair/search/functions_7.js
===================================================================
--- trunk/doc/Flair/search/functions_7.js	(revision 47)
+++ trunk/doc/Flair/search/functions_7.js	(revision 50)
@@ -162,5 +162,5 @@
   ['hittestcontent',['hitTestContent',['http://qt-project.org/doc/qt-4.8/qwebframe.html#hitTestContent',0,'QWebFrame']]],
   ['hittestpath',['hitTestPath',['http://qt-project.org/doc/qt-4.8/qmouseeventtransition.html#hitTestPath',0,'QMouseEventTransition']]],
-  ['hokuyoutm30lx',['HokuyoUTM30Lx',['../classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.html#a103a5681f23b69dc739da0b70ebcd5ea',1,'flair::sensor::HokuyoUTM30Lx']]],
+  ['hokuyoutm30lx',['HokuyoUTM30Lx',['../classflair_1_1sensor_1_1_hokuyo_u_t_m30_lx.html#a6f06ca6eb398424de3dd8e49199ad0c3',1,'flair::sensor::HokuyoUTM30Lx']]],
   ['home',['home',['http://qt-project.org/doc/qt-4.8/q3multilineedit.html#home',0,'Q3MultiLineEdit::home()'],['http://qt-project.org/doc/qt-4.8/q3textbrowser.html#home',0,'Q3TextBrowser::home()'],['http://qt-project.org/doc/qt-4.8/qtextbrowser.html#home',0,'QTextBrowser::home()'],['http://qt-project.org/doc/qt-4.8/qdir.html#home',0,'QDir::home()'],['http://qt-project.org/doc/qt-4.8/qlineedit.html#home',0,'QLineEdit::home()']]],
   ['homedirpath',['homeDirPath',['http://qt-project.org/doc/qt-4.8/qdir-qt3.html#homeDirPath',0,'QDir']]],
Index: trunk/doc/Flair/search/functions_c.js
===================================================================
--- trunk/doc/Flair/search/functions_c.js	(revision 47)
+++ trunk/doc/Flair/search/functions_c.js	(revision 50)
@@ -126,5 +126,5 @@
   ['mayshrinkhorizontally',['mayShrinkHorizontally',['http://qt-project.org/doc/qt-4.8/qsizepolicy-qt3.html#mayShrinkHorizontally',0,'QSizePolicy']]],
   ['mayshrinkvertically',['mayShrinkVertically',['http://qt-project.org/doc/qt-4.8/qsizepolicy-qt3.html#mayShrinkVertically',0,'QSizePolicy']]],
-  ['mb800',['Mb800',['../classflair_1_1sensor_1_1_mb800.html#afec90a43b805df6d850c50a1047e54eb',1,'flair::sensor::Mb800']]],
+  ['mb800',['Mb800',['../classflair_1_1sensor_1_1_mb800.html#a07bf80c5661d152b454015765634daaf',1,'flair::sensor::Mb800']]],
   ['mdiarea',['mdiArea',['http://qt-project.org/doc/qt-4.8/qmdisubwindow.html#mdiArea',0,'QMdiSubWindow']]],
   ['measurementsystem',['measurementSystem',['http://qt-project.org/doc/qt-4.8/qlocale.html#measurementSystem',0,'QLocale']]],
Index: trunk/doc/Flair/search/functions_d.js
===================================================================
--- trunk/doc/Flair/search/functions_d.js	(revision 47)
+++ trunk/doc/Flair/search/functions_d.js	(revision 50)
@@ -79,5 +79,5 @@
   ['nexttitle',['nextTitle',['http://qt-project.org/doc/qt-4.8/phonon-mediacontroller.html#nextTitle',0,'Phonon::MediaController']]],
   ['nlerp',['nlerp',['http://qt-project.org/doc/qt-4.8/qquaternion.html#nlerp',0,'QQuaternion']]],
-  ['nmeagps',['NmeaGps',['../classflair_1_1sensor_1_1_nmea_gps.html#a969f2066d4eec611116f3b2a3e52faaf',1,'flair::sensor::NmeaGps::NmeaGps(const core::FrameworkManager *parent, std::string name, NMEAFlags_t NMEAFlags)'],['../classflair_1_1sensor_1_1_nmea_gps.html#a8379a0c343103e38ee8090411d9eefba',1,'flair::sensor::NmeaGps::NmeaGps(const core::IODevice *parent, std::string name)']]],
+  ['nmeagps',['NmeaGps',['../classflair_1_1sensor_1_1_nmea_gps.html#abb50fae524addf6b3982ae166e14ae93',1,'flair::sensor::NmeaGps::NmeaGps(std::string name, NMEAFlags_t NMEAFlags)'],['../classflair_1_1sensor_1_1_nmea_gps.html#a8379a0c343103e38ee8090411d9eefba',1,'flair::sensor::NmeaGps::NmeaGps(const core::IODevice *parent, std::string name)']]],
   ['nodename',['nodeName',['http://qt-project.org/doc/qt-4.8/qdomnode.html#nodeName',0,'QDomNode']]],
   ['nodesbyidref',['nodesByIdref',['http://qt-project.org/doc/qt-4.8/qsimplexmlnodemodel.html#nodesByIdref',0,'QSimpleXmlNodeModel::nodesByIdref()'],['http://qt-project.org/doc/qt-4.8/qabstractxmlnodemodel.html#nodesByIdref',0,'QAbstractXmlNodeModel::nodesByIdref()']]],
@@ -88,5 +88,5 @@
   ['normalexit',['normalExit',['http://qt-project.org/doc/qt-4.8/q3process.html#normalExit',0,'Q3Process']]],
   ['normalgeometry',['normalGeometry',['http://qt-project.org/doc/qt-4.8/qwidget.html#normalGeometry-prop',0,'QWidget']]],
-  ['normalize',['normalize',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalize',0,'QVector3D::normalize()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#normalize',0,'QDomNode::normalize()'],['http://qt-project.org/doc/qt-4.8/qrect-qt3.html#normalize',0,'QRect::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalize',0,'QVector2D::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalize',0,'QVector4D::normalize()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalize',0,'QQuaternion::normalize()'],['../classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3',1,'flair::core::Quaternion::Normalize()'],['../classflair_1_1core_1_1_vector2_d.html#afe22b1f414ccc721a65b014a57cb0fdf',1,'flair::core::Vector2D::Normalize()'],['../classflair_1_1core_1_1_vector3_d.html#ac366fd091759be0c39ef8d342f5d2007',1,'flair::core::Vector3D::Normalize()']]],
+  ['normalize',['normalize',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalize',0,'QVector3D::normalize()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#normalize',0,'QDomNode::normalize()'],['http://qt-project.org/doc/qt-4.8/qrect-qt3.html#normalize',0,'QRect::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalize',0,'QVector2D::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalize',0,'QVector4D::normalize()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalize',0,'QQuaternion::normalize()'],['../classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3',1,'flair::core::Quaternion::Normalize()'],['../classflair_1_1core_1_1_vector2_d.html#a9ee928de991ca4872f2e877e87393f03',1,'flair::core::Vector2D::Normalize()'],['../classflair_1_1core_1_1_vector3_d.html#a8230b1bbc50b49afac2758e44bcbb02c',1,'flair::core::Vector3D::Normalize()']]],
   ['normalized',['normalized',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalized',0,'QVector3D::normalized()'],['http://qt-project.org/doc/qt-4.8/qstring.html#normalized',0,'QString::normalized(NormalizationForm mode) const'],['http://qt-project.org/doc/qt-4.8/qstring.html#normalized-2',0,'QString::normalized(NormalizationForm mode, QChar::UnicodeVersion version) const'],['http://qt-project.org/doc/qt-4.8/qrect.html#normalized',0,'QRect::normalized()'],['http://qt-project.org/doc/qt-4.8/qrectf.html#normalized',0,'QRectF::normalized()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalized',0,'QVector2D::normalized()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalized',0,'QVector4D::normalized()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalized',0,'QQuaternion::normalized()']]],
   ['normalizedpos',['normalizedPos',['http://qt-project.org/doc/qt-4.8/qtouchevent-touchpoint.html#normalizedPos',0,'QTouchEvent::TouchPoint']]],
@@ -113,5 +113,5 @@
   ['notifysignal',['notifySignal',['http://qt-project.org/doc/qt-4.8/qmetaproperty.html#notifySignal',0,'QMetaProperty']]],
   ['notifysignalindex',['notifySignalIndex',['http://qt-project.org/doc/qt-4.8/qmetaproperty.html#notifySignalIndex',0,'QMetaProperty']]],
-  ['novatel',['Novatel',['../classflair_1_1sensor_1_1_novatel.html#a463b548ac4475e489a08ca323315337d',1,'flair::sensor::Novatel']]],
+  ['novatel',['Novatel',['../classflair_1_1sensor_1_1_novatel.html#af3ac244b2a6c4ddfebe6b9a9da65e659',1,'flair::sensor::Novatel']]],
   ['nplot',['NPlot',['../classflair_1_1sensor_1_1_nmea_gps.html#a1f24594765a867468a1ed5554d175086',1,'flair::sensor::NmeaGps']]],
   ['nrefs',['nrefs',['http://qt-project.org/doc/qt-4.8/q3memarray.html#nrefs',0,'Q3MemArray']]],
Index: trunk/doc/Flair/search/functions_f.js
===================================================================
--- trunk/doc/Flair/search/functions_f.js	(revision 47)
+++ trunk/doc/Flair/search/functions_f.js	(revision 50)
@@ -306,5 +306,5 @@
   ['proxyforquery',['proxyForQuery',['http://qt-project.org/doc/qt-4.8/qnetworkproxyfactory.html#proxyForQuery',0,'QNetworkProxyFactory']]],
   ['proxymodel',['proxyModel',['http://qt-project.org/doc/qt-4.8/qfiledialog.html#proxyModel',0,'QFileDialog']]],
-  ['ps3eye',['Ps3Eye',['../classflair_1_1sensor_1_1_ps3_eye.html#aa0c4319957c68846c02d0d5a0d3ff188',1,'flair::sensor::Ps3Eye']]],
+  ['ps3eye',['Ps3Eye',['../classflair_1_1sensor_1_1_ps3_eye.html#adde74963beadd2fd995d4eaca6768c8e',1,'flair::sensor::Ps3Eye']]],
   ['publicid',['publicId',['http://qt-project.org/doc/qt-4.8/qdomdocumenttype.html#publicId',0,'QDomDocumentType::publicId()'],['http://qt-project.org/doc/qt-4.8/qdomnotation.html#publicId',0,'QDomNotation::publicId()'],['http://qt-project.org/doc/qt-4.8/qdomentity.html#publicId',0,'QDomEntity::publicId()'],['http://qt-project.org/doc/qt-4.8/qxmlparseexception.html#publicId',0,'QXmlParseException::publicId()'],['http://qt-project.org/doc/qt-4.8/qxmlstreamnotationdeclaration.html#publicId',0,'QXmlStreamNotationDeclaration::publicId()'],['http://qt-project.org/doc/qt-4.8/qxmlstreamentitydeclaration.html#publicId',0,'QXmlStreamEntityDeclaration::publicId()']]],
   ['publickey',['publicKey',['http://qt-project.org/doc/qt-4.8/qsslcertificate.html#publicKey',0,'QSslCertificate']]],
